<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Elegant\Sanitizer\Laravel\SanitizesInput;

class StoreOtherAccountMasterRequest extends FormRequest
{
    use SanitizesInput;

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'opening_balance' => 'nullable|string',
            'type' => 'nullable|in:debit,credit',
            'date' => 'nullable|date',
            'account_name' => 'required|string',
            'class_of_account' => 'required|string',
            'description' => 'nullable|string',
        ];
    }
    public function messages()
    {
        return [
            'account_name.required' => 'The Account Name is required.',
            'class_of_account.required' => 'The Class of Account is required.',
        ];
    }
}
