<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Elegant\Sanitizer\Laravel\SanitizesInput;

class StoreStaffRequest extends FormRequest
{
    use SanitizesInput;

    // public function filters()
    // {
    //     return [
    //         'fname' => 'trim|strip_tags',
    //         'lname' => 'trim|strip_tags',
    //         'email' => 'trim|strip_tags',
    //         'password' => 'trim|strip_tags',
    //     ];
    // }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return
        [
            'location_id' => 'nullable|integer',
            'transactions_password' => 'nullable|string',
            'job_designation' => 'nullable|string',
            'job_title' => 'nullable|string',
            'commission' => 'nullable|string',
            'report_password' => 'nullable|string',
            'date_of_joining' => 'nullable|string',
            'first_name' => 'required|string',
            'last_name' => 'required|string',
            'mobile_1' => 'nullable|string',
            'mobile_2' => 'nullable|string',
            'email' => 'nullable|email|unique:staff_and_salesmen,email',
            'country_id' => 'nullable|integer',
            'city' => 'nullable|string',
            'address' => 'nullable|string',
            'salary' => 'nullable|string',
            'class_of_account_id' => 'nullable|integer',
            'doc_name_1' => 'nullable|string',
            'doc_file_1' => 'nullable|file|mimes:jpeg,jpg,png,pdf',
            'doc_expiry_1' => 'nullable|string',
            'doc_name_2' => 'nullable|string',
            'doc_file_2' => 'nullable|file|mimes:jpeg,jpg,png,pdf',
            'doc_expiry_2' => 'nullable|string',
            'doc_name_3' => 'nullable|string',
            'doc_file_3' => 'nullable|file|mimes:jpeg,jpg,png,pdf',
            'doc_expiry_3' => 'nullable|string',
            'doc_name_4' => 'nullable|string',
            'doc_file_4' => 'nullable|file|mimes:jpeg,jpg,png,pdf',
            'doc_expiry_4' => 'nullable|string',
            'doc_name_5' => 'nullable|string',
            'doc_file_5' => 'nullable|file|mimes:jpeg,jpg,png,pdf',
            'doc_expiry_5' => 'nullable|string',
            'doc_name_6' => 'nullable|string',
            'doc_file_6' => 'nullable|file|mimes:jpeg,jpg,png,pdf',
            'doc_expiry_6' => 'nullable|string',
            'doc_name_7' => 'nullable|string',
            'doc_file_7' => 'nullable|file|mimes:jpeg,jpg,png,pdf',
            'doc_expiry_7' => 'nullable|string',
            'description' => 'nullable|string',
        ];

    }
    public function messages()
    {
        return [
            'first_name.required' => 'The First Name is required.',
            'last_name.required' => 'The Last Name is required.',
        ];
    }
}
