@extends('layouts.crusher')
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Delivery Note</h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->
                    <form action="{{ route('crusher.delivery_notes.store') }}" class="outer-repeater" method="POST">
                        @csrf


                        <div class="row">

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Delivery Note #</label>
                                    <input class="form-control" readonly placeholder="" id="example-password-input"
                                        value="{{ $newDoNumber }}" name="do_no">
                                </div>
                            </div>

                            <div class="col-md-6">

                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Date</label>
                                    <input class="form-control" type="date" pattern="\d{4}-\d{2}-\d{2}"
                                        value="{{ date('Y-m-d') }}" name="date">
                                </div>
                            </div>
                        </div>


                        <div class="row">

                            <div class="col-md-6">

                            </div>

                            <div class="col-md-3">
                                <!-- <div class="form-group">
                                                                        <label>LPO(DUE DAYS)</label>
                                                                        <input class="form-control" type="text"
                                                                            placeholder="Enter LPO(DUE DAYS)" id="example-password-input">
                                                                    </div> -->
                            </div>
                        </div>

                        <div class="row">

                            <div class="col-md-3 float-right">
                                <label for="name">Quotation #</label>
                                <div class="form-group">
                                    <input class="form-control" readonly placeholder="Quotation #"
                                        id="example-password-input"
                                        value="{{ count($quotations) > 0 ? $quotations[0]->quotation_no : '' }}"
                                        name="quotation_no">
                                </div>
                            </div>


                            <div class="col-md-6">

                            </div>
                        </div>

                        <!-- <div class="custom-control custom-switch mb-2" dir="ltr">
                                                                <input type="checkbox" class="custom-control-input master"
                                                                    id="customSwitch2" unchecked>
                                                                <label class="custom-control-label" for="customSwitch2">VAT</label>
                                                            </div> -->


                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="account">Account Name:</label>
                                    <select id="account" class="form-control select2" name="account_id"
                                        onchange="openAccountModal(this)">
                                        <option value="" selected disabled>Select Account</option>

                                         {{-- Loop through the merged $accounts collection --}}
                                         @forelse ($accounts as $account)
                                         <option value="{{ $account->id }}"
                                             {{ old('account_id') == $account->id || ($quotations && $quotations->count() > 0 && $quotations[0]->account_id == $account->id) ? 'selected' : '' }}
                                             data-account-type="{{ $account->table_name }}">
                                             {{ $account->account_name }}

                                         </option>
                                        @empty
                                            <option value="" disabled>No accounts available</option>
                                        @endforelse

                                        <option value="modal1" {{ old('account_id') == 'modal1' ? 'selected' : '' }}>
                                            Add New Account
                                        </option>
                                    </select>
                                    <input type="hidden" name="account_type" id="account_type">
                                    @error('account_id')
                                        <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>

                            <div class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered dt-responsive nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr>
                                            <th>Item Name</th>
                                            <th>Item Description</th>
                                            <th>Quantity</th>
                                            <th>Delete</th>
                                        </tr>
                                    </thead>

                                    <tbody id="table-body">
                                        @if ($quotations)
                                        @foreach ($quotations as $quotation)
                                        <tr class="clone-row">
                                            <td>
                                                <div class="form-group">
                                                    <select class="form-control " name="item_id[]">
                                                        <option value="" selected disabled>Select Item</option>
                                                        @foreach ($items as $item)
                                                        <option value="{{ $item->id }}"
                                                            {{ $item->id == $quotation->item_id ? 'selected' : '' }}>
                                                            {{ $item->name }}
                                                        </option>
                                                    @endforeach
                                                    </select>
                                                </div>
                                            </td>
                                            <td>
                                                <div class="form-group">
                                                    <textarea name="item_description[]" class="form-control" rows="1" placeholder="Item Description">{{ $quotation->item_description }}</textarea>
                                                </div>
                                            </td>
                                            <td>
                                                <div class="form-group">
                                                    <input name="quantity[]" class="form-control quantity-input"
                                                        type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Quantity"  value="{{ $quotation->quantity }}" >
                                                </div>
                                            </td>
                                            <td>
                                                <a href="#" class="delete-row-btn"> <i
                                                        class="fas fa-trash-alt inner"></i></a>
                                            </td>
                                        </tr>
                                        @endforeach
                                    @else
                                    <tr class="clone-row">
                                        <td>
                                            <div class="form-group">
                                                <select class="form-control " name="item_id[]">
                                                    <option value="" disabled>Select Item</option>
                                                    @foreach ($items as $item)
                                                        <option value="{{ $item->id }}">
                                                            {{ $item->name }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="form-group">
                                                <textarea name="item_description[]" class="form-control" rows="1" placeholder="Item Description"></textarea>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="form-group">
                                                <input name="quantity[]" class="form-control quantity-input"
                                                    type="number" placeholder="Quantity">
                                            </div>
                                        </td>
                                        <td>
                                            <a href="#" class="delete-row-btn"> <i
                                                    class="fas fa-trash-alt inner"></i></a>
                                        </td>
                                    </tr>
                                @endif
                                    </tbody>
                                </table>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-8">
                                @if (!request()->has('quotation_no'))
                                    <a id="add-more-button" class="btn btn-outline-primary">Add more</a>
                                @endif
                            </div>
                            <div class="col-md-4">
                                <!-- <h5>QTY Total: 0</h5> -->
                            </div>
                        </div>

                        <br>

                        <div class="row">

                            <div class="col-md-8">
                            </div>
                            <div class="col-md-4">
                                <strong>
                                    <label for="total-quantity">Total Quantity : </label>
                                    <input id="total-quantity" name="total_quantity"
                                        class="custin{{ $errors->has('total_quantity') ? ' is-invalid' : '' }}"
                                        value="{{ old('total_quantity', '0') }}">
                                    @if ($errors->has('total_quantity'))
                                        <div class="invalid-feedback">{{ $errors->first('total_quantity') }}</div>
                                    @endif
                                </strong>
                            </div>


                            <div class="col-md-8">
                            </div>




                        </div>

                        <div class="row">

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Term & Conditions</label>
                                    <p>{{ $tnc->description ?? '' }}</p>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="narrations">Narrations</label>
                                    <textarea class="form-control{{ $errors->has('narrations') ? ' is-invalid' : '' }}" rows="4"
                                        placeholder="Enter Address" id="example-textarea-input" name="narrations">{{ old('narrations') }}</textarea>
                                    @if ($errors->has('narrations'))
                                        <div class="invalid-feedback">{{ $errors->first('narrations') }}</div>
                                    @endif
                                </div>
                            </div>


                        </div>


                        <button class="btn btn-cust1 float-right" type="submit">Create Delivery
                            Note</button>



                    </form>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->

    <div id="modal2" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal2Label"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal2Label">Modal 2</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>This is Modal 2</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <div id="modal3" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal3Label"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal3Label">Modal 3</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>This is Modal 3</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">C lose</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Modals -->
    <div id="modal1" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
        aria-hidden="true">
        <div class="modal-dialog">
            <form id="buyer-form">
                @csrf
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title mt-0" id="myModalLabel">Buyer Information :</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Name :</label>
                                <input class="form-control" type="text" placeholder="Enter Name"
                                    id="example-password-input" name="name" id="name">
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Phone # :</label>
                                <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Phone #"
                                    id="example-password-input" name="phone" id="phone">
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Email :</label>
                                <input class="form-control" type="text" placeholder="Enter Email"
                                    id="example-password-input" name="email" id="email">
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Vat Number :</label>
                                <input class="form-control" type="text" placeholder="Vat Number"
                                    id="example-password-input" name="vat_number" name="vat_number">
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Address :</label>
                                <textarea class="form-control" rows="3" type="text" placeholder="Enter Address"
                                    id="example-textarea-input" name="address" id="address">
                        </textarea>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <input type="hidden" name="invoice_no" value="{{ $newDoNumber }}" id="invoice_no">
                        <input type="hidden" name="type" value="delivery_note" id="type">
                        <button type="button" class="btn btn-secondary waves-effect" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary waves-effect waves-light">Save</button>
                    </div>
            </form>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->

    <script src="https://code.jquery.com/jquery-3.7.0.js" integrity="sha256-JlqSTELeR4TLqP0OG9dxM7yDPqX1ox/HfgiSLBj8+kM="
        crossorigin="anonymous"></script>

    <script>
        // BUYER MODAL WORK START

        // Function to open the modal based on selected value
        function openAccountModal(selectElement) {
            var selectedValue = selectElement.value;
            var selectedOption = selectElement.options[selectElement.selectedIndex];
            var accountType = selectedOption.getAttribute('data-account-type');

            // Check if the accountType is "App\\AdminOtherAccount"
            if (accountType === "App\\AdminOtherAccount") {
                // Get the invoice_no from the hidden input field
                var invoiceNo = $('#invoice_no').val();

                // Check if the buyer exists
                checkBuyerExists(invoiceNo);
            }
        }

        // Function to check if a buyer exists
        function checkBuyerExists(invoiceNo) {
            $.ajax({
                type: 'POST',
                url: '/crusher/transactions/buyers/exists', // Replace with your API endpoint URL
                data: {
                    invoice_no: invoiceNo,
                    type: $('#type').val()
                },
                success: function(response) {
                    if (response.status === true) {
                        // Buyer exists, show the modal with ID 'buyer_exists'
                        $('#buyer_exists').css('display', 'block');
                    } else {
                        $('#modal1').modal('show');
                        // Buyer does not exist, you can handle this case as needed
                        // For example, show a message or perform some other action
                    }
                },
                error: function() {
                    // Handle AJAX request error here
                    alert('Error: An error occurred while checking if the buyer exists.');
                }
            });
        }

        $(document).ready(function() {
            // Attach a submit event listener to the form
            $('#buyer-form').submit(function(event) {
                event.preventDefault(); // Prevent the default form submission

                // Serialize the form data
                var formData = $(this).serialize();

                // Send an AJAX POST request to the server
                $.ajax({
                    type: 'POST',
                    url: '/crusher/transactions/buyers', // Replace with your API endpoint URL
                    data: formData,
                    success: function(response) {
                        if (response.status === true) {
                            // Success: You can handle the success case here
                            // alert('Form submitted successfully!');
                            $('#modal1').modal('hide'); // Close the modal if needed
                        } else {
                            // Error: You can handle the error case here
                            alert('Error: ' + response.error);
                        }
                    },
                    error: function() {
                        // Handle AJAX request error here
                        alert('Error: An error occurred while submitting the form.');
                    }
                });
            });

            function callDeleteAPI(invoiceNo) {
                $.ajax({
                    type: 'POST',
                    url: '/crusher/transactions/buyers/delete', // Replace with your API endpoint URL
                    data: {
                        invoice_no: invoiceNo,
                        type: $('#type').val()

                    },
                    success: function(response) {
                        // Handle the success case if needed
                        console.log('Delete API called successfully.');
                    },
                    error: function() {
                        // Handle AJAX request error here
                        console.error('Error: An error occurred while calling the delete API.');
                    }
                });
            }

            // Get the invoice_no from the hidden input field
            var invoiceNo = $('#invoice_no').val();

            // Call the delete API on page reload
            callDeleteAPI(invoiceNo);
        });
    </script>

    <script>
        $(document).ready(function() {
            // Event handler for the add-clone-btn click
            $(document).on('click', '.add-clone-btn', function(e) {
                e.preventDefault();

                // Get the parent <tr> element
                var parentTr = $(this).closest('tr');

                // Clone the parent <tr> element
                var clonedTr = parentTr.clone();

                // Append the cloned <tr> after the parent <tr>
                parentTr.after(clonedTr);
            });
        });

        $(document).ready(function() {
            $('#add-more-btn').click(function(e) {
                e.preventDefault();

                // Clone the existing row
                var newRow = $('#table-body tr').first().clone();

                // Clear input fields and select values in the cloned row
                newRow.find('input, textarea').val('');
                newRow.find('select').prop('selectedIndex', 0);

                // Append the cloned row to the table
                $('#table-body').append(newRow);
            });

            $('#add-clone-btn').click(function(e) {
                e.preventDefault();

                // Clone the existing row
                var newRow = $('#table-body tr').first().clone();

                // Clear input fields and select values in the cloned row
                newRow.find('input, textarea').val('');
                newRow.find('select').prop('selectedIndex', 0);

                // Append the cloned row to the table
                $('#table-body').append(newRow);
            });

            // Handle delete button click event
            $(document).on('click', '.delete-row-btn', function(e) {
                e.preventDefault();

                // Get the parent row and remove it
                var row = $(this).closest('tr');
                row.remove();
            });
        });
    </script>

    <script>
        const addMoreButton = document.getElementById('add-more-button');
        const tableBody = document.getElementById('table-body');
        const totalQuantityInput = document.getElementById('total-quantity');

        // Initial total quantity
        let totalQuantity = parseFloat(totalQuantityInput.value);

        // Event listener for adding more rows
        addMoreButton.addEventListener('click', () => {
            const cloneRow = tableBody.querySelector('.clone-row');
            const newRow = cloneRow.cloneNode(true);

            // Clear input values in the cloned row
            const inputs = newRow.querySelectorAll('input, select, textarea');
            inputs.forEach(input => {
                input.value = '';
            });

            tableBody.appendChild(newRow);
        });

        // Event listener for deleting a row
        tableBody.addEventListener('click', event => {
            if (event.target.classList.contains('delete-row-btn')) {
                const row = event.target.closest('tr');
                const quantityInput = row.querySelector('.quantity-input');
                totalQuantity -= parseFloat(quantityInput.value) || 0;
                updateTotalQuantity();
                row.remove();
            }
        });

        // Event listener for updating total quantity
        tableBody.addEventListener('input', event => {
            if (event.target.classList.contains('quantity-input')) {
                updateTotalQuantity();
            }
        });

        function updateTotalQuantity() {
            totalQuantity = 0;

            // Sum up the quantities from each row
            const quantityInputs = document.querySelectorAll('.quantity-input');
            quantityInputs.forEach(input => {
                totalQuantity += parseFloat(input.value) || 0;
            });

            // Update the total quantity input
            totalQuantityInput.value = totalQuantity;
        }
    </script>

    <script>
        // JavaScript to update the hidden input field when the dropdown selection changes
        $(document).ready(function() {
            function updateAccountType() {
                var selectedOption = $('#account option:selected'); // Use jQuery to get selected option
                var accountType = selectedOption.data('account-type'); // Use jQuery data() method
                $('#account_type').val(accountType); // Set the value of the hidden input
            }

            // Run the function once when the page is ready
            updateAccountType();

            // Add an event listener to update the hidden input when the selection changes
            $('#account').change(updateAccountType);
        });
    </script>
@endsection
