@extends('layouts.crusher')
@section('content')


    <div class="row">
        <div class="col-md-12">
            <div class="row mt-4 mb-2">
                <div class="col-sm-6">
                    <h6 class="card-title mb-4 titlcust">Purchase Invoice
                    </h6>
                </div>
                <div class="col-sm-6">
                    <a href="">
                        <button class="btn btn-outline-primary float-right cust-btn1" onclick="printPageArea('printableArea')"
                            type="submit">Print Document
                        </button>
                    </a>
                    <a href="">
                        <button class="btn btn-outline-primary float-right" type="submit">Back
                        </button>
                    </a>
                </div>
            </div>
            <div class="card" id="printableArea">
                <div class="card-body">

                    <h6 class="card-title mb-1 text-center font-size-20">Purchase Invoice</h6>
                    <br>



                    <div class="row border1">
                        @if (!empty(($companyLogo = auth()->user()->company_logo)))
                            <div class="col-md-2 d-flex align-items-center justify-content-center">
                                <img src="{{ asset('storage/app/public/' . $companyLogo) }}" class="img-fluid"
                                    alt="logo" width="180px">
                            </div>
                        @else
                            <div class="col-md-2 d-flex align-items-center justify-content-center">
                                <img src="{{ asset('assets/images/acp-logo.png') }}" class="img-fluid" alt="logo"
                                    width="180px">
                            </div>
                        @endif
                        <div class="col-md-6">
                            <div class="row border1">
                                <div class="pading1">
                                    <div class="col-md-12 ">
                                        <span>{{ $company->name }}</span>
                                    </div>
                                    <div class="col-md-12 ">
                                        <span>{{ $company->country }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Cr Number :</label>
                                        <span>{{ $company->cr_number }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>VAT Number :</label>
                                        <span>{{ $company->vat_number }}</span>
                                    </div>

                                    <div class="col-md-12">
                                        <span>{{ session()->get('branch')->address }}</span>
                                    </div>
                                </div>
                            </div>

                            <div class="row border1">
                                <div class="pading1">
                                    <div class="col-md-12">
                                        <h5>Buyer</h5>
                                    </div>
                                    @if ($purchaseInvoice[0]->buyer != null)
                                        <div class="col-md-12">
                                            {{-- <label>Company Direct</label> --}}

                                            <span>{{ $purchaseInvoice[0]->account->account_name ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Email :</label>
                                            <span>{{ $purchaseInvoice[0]->buyer->email ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Person Name :</label>
                                            <span>{{ $purchaseInvoice[0]->buyer->name ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Number :</label>
                                            <span>{{ $purchaseInvoice[0]->buyer->phone ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>VAT Number :</label>
                                            <span>{{ $purchaseInvoice[0]->buyer->vat_number ?? 'No Record Found' }}</span>
                                        </div>
                                    @else
                                        <div>
                                            <span>{{ $purchaseInvoice[0]->account->name_of_organisation ?? ($purchaseInvoice[0]->account->account_name ?? $purchaseInvoice[0]->account->first_name . ' ' . $purchaseInvoice[0]->account->last_name) }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Email :</label>
                                            <span>{{ $purchaseInvoice[0]->account->email ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Person Name :</label>
                                            <span>{{ $purchaseInvoice[0]->account->contact_person_name ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Number :</label>
                                            <span>{{ $purchaseInvoice[0]->account->mobile ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>VAT Number :</label>
                                            <span>{{ $purchaseInvoice[0]->account->vat_number ?? 'No Record Found' }}</span>
                                        </div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="row border1">
                                <div class="pading1">
                                    <div class="col-md-12">
                                        <label>Purchase Invoice # :</label>
                                        <span>{{ $purchaseInvoice[0]->invoice_no }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Mode/Term of Payment :</label>
                                        <span>{{ $purchaseInvoice[0]->term_of_payment }}</span>
                                    </div>

                                    <div class="col-md-12">
                                        <label>Date :</label>
                                        <span>{{ $purchaseInvoice[0]->date }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>LPO Number(Supplier) :</label>
                                        <span>{{ $purchaseInvoice[0]->lpo_no }}</span>
                                    </div>

                                    <div class="col-md-12">
                                        <label>Purchase Order Number :</label>
                                        <span>{{ $purchaseInvoice[0]->po_no ?? '' }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>LPO(DUE DAYS) :</label>
                                        <span>{{ $purchaseInvoice[0]->lpo_days }}</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <br>

                    <div class="row">
                        <div class="table-responsive mb-0" data-pattern="priority-columns">
                            <table class="table table-bordered dt-responsive nowrap"
                                style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                    <tr>
                                        <th>S No.</th>
                                        <th>Item Name</th>
                                        <th>Item Description</th>
                                        <th>Quantity</th>
                                        <th>Rate/Unit</th>
                                        <th>Gross Amount</th>
                                        <th>VAT %</th>
                                        <th>VAT Amount</th>
                                        <th>Net Amount</th>
                                        <th>C&F <span id="total-cf-th"></span></th>
                                    </tr>
                                </thead>

                                <tbody id="table-body">
                                    @forelse ($purchaseInvoice as $key=>$pr)
                                        <tr>
                                            <td>{{ $key + 1 }}</td>
                                            <td>
                                                <p>{{ $pr->item->name ?? '' }}</p>
                                            </td>
                                            <td>
                                                <p>{{ $pr->item_description }}</p>
                                            </td>
                                            <td>
                                                <p>{{ $pr->quantity }}</p>
                                            </td>
                                            <td>
                                                <p>{{ $pr->rate_unit }}</p>
                                            </td>
                                            <td>
                                                <p>{{ $pr->gross_amount }}</p>
                                            </td>
                                            <td>
                                                <p>{{ $pr->vat_percentage }}</p>
                                            </td>
                                            <td>
                                                <p>{{ $pr->vat_amount }}</p>
                                            </td>
                                            <td>
                                                <p>{{ $pr->net_amount }}</p>
                                            </td>
                                            <td>
                                                <p id="cf-amount">{{ $pr->c_f }}</p>
                                            </td>
                                        </tr>
                                    @empty
                                    @endforelse
                                    <tr>
                                        <td></td>
                                        <td>Grand Total</td>
                                        <td></td>
                                        <td>{{ $purchaseInvoice[0]->total_quantity }}</td>
                                        <td></td>
                                        <td>{{ $purchaseInvoice[0]->total_gross_amount }}</td>
                                        <td></td>
                                        <td>{{ $purchaseInvoice[0]->total_vat_amount }}</td>
                                        <td>{{ $purchaseInvoice[0]->total_net_amount }}</td>
                                        <td><span id="cf-total"></span></td>
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td>Total Amount</td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td class="grand-total"></td>
                                    </tr>
                                    @forelse ($purchaseInvoice as $pr)
                                        @forelse ($pr->expenses as $expense)
                                            {{-- @dd($expense->expense) --}}
                                            <tr>
                                                <td></td>
                                                <td>

                                                    <span>
                                                        {{ optional($expense->expense)->name_of_organisation ?? optional($expense->expense)->account_name ?? (optional($expense->expense)->first_name . ' ' . optional($expense->expense)->last_name) ?? 'Unknown' }}
                                                    </span>

                                                    {{-- <span>{{ $expense->expense->name_of_organisation ?? ($expense->expense->account_name ?? $expense->expense->first_name ??. ' ' . $expense->expense->last_nam ??) }}</span> --}}
                                                </td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td id="cf">{{ $expense->expense_amount }}</td>
                                            </tr>
                                        @empty
                                        @endforelse

                                    @empty
                                    @endforelse
                                    <tr>
                                        <td></td>
                                        <td>New Vat Amount</td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td id="new-vat-amount">{{$purchaseInvoice[0]->new_vat_amount??(NULL)}}</td>
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td>Discount Amount</td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td id="discount_amount">{{$purchaseInvoice[0]->discount_amount??(NULL)}}</td>
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td>Total Purchase amount with c&f</td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td class="grand-totalWithC&f" id="grand-totalWithC&f"></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <br>


                    <div class="row">

                        <div class="col-md-4">
                            <label>Amount in Words:</label>
                            <span id="total_net_amount_words"></span>
                        </div>


                    </div>

                    <br>
                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table class="table table-bordered dt-responsive nowrap max-width">
                            <tr>
                                <td>
                                    <label>Term & Conditions</label>
                                    <p class="">{{ $tnc->description ?? '' }}</p>
                                </td>
                                <td>
                                    <label>Narrations</label>
                                    <p>{{ $purchaseInvoice[0]->narrations }}</p>
                                </td>
                            </tr>
                        </table>
                    </div>

                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->

    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>

    {{-- <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Calculate the grand total and update the element
            const totalNetAmount = {{ $purchaseInvoice[0]->total_net_amount }};
            const discountAmount = {{ $purchaseInvoice[0]->discount_amount }};

            let totalExpenseAmount = 0;
            @foreach ($purchaseInvoice as $pr)
                @foreach ($pr->expenses as $expense)
                    totalExpenseAmount += {{ $expense->expense_amount }};
                @endforeach
            @endforeach

            const grandTotal = totalNetAmount + totalExpenseAmount - discountAmount;
            const roundedGrandTotal = grandTotal.toFixed(2);
            document.getElementById("grand-total").textContent = roundedGrandTotal;

            // Convert total net amount to words and update the corresponding field
            var totalNetAmountWords = numberToWords(roundedGrandTotal);
            $('#total_net_amount_words').text(totalNetAmountWords);

            /////
            let totalCF = 0;

            // Loop through the purchase invoice items to calculate C&F expenses
            @foreach ($purchaseInvoice as $pr)
                @foreach ($pr->expenses as $expense)
                    // Add the expense amount to the total
                    totalCF += {{ $expense->expense_amount }};
                @endforeach
            @endforeach

            // Display the total C&F expenses in the table cell with the ID "total-cf-th"
            document.getElementById("total-cf-th").textContent = "(" + totalCF + ")";

            ////
            /////
            let cf = 0;

            // Loop through the purchase invoice items to calculate C&F expenses
            @foreach ($purchaseInvoice as $pr)
                // Add the expense amount to the total
                cf += {{ $pr->c_f }};
            @endforeach

            // Display the total C&F expenses in the table cell with the ID "total-cf-th"
            document.getElementById("cf-total").textContent = "(" + cf + ")";
        });
    </script> --}}
    <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Calculate the grand total and update the element
            const new_vat_amount = {{ $purchaseInvoice[0]->new_vat_amount }};
            const totalNetAmount = {{ $purchaseInvoice[0]->total_net_amount }};
            const discountAmount = {{ $purchaseInvoice[0]->discount_amount }};

            let totalExpenseAmount = 0;
            @foreach ($purchaseInvoice as $pr)
                @foreach ($pr->expenses as $expense)
                    totalExpenseAmount += {{ $expense->expense_amount }};
                @endforeach
            @endforeach

            const grandTotal = totalNetAmount + totalExpenseAmount + new_vat_amount - discountAmount;
            const roundedGrandTotal = grandTotal.toFixed(2);
            document.querySelector(".grand-total").textContent = roundedGrandTotal;
            document.getElementById("grand-totalWithC&f").textContent = roundedGrandTotal;

            // Convert total net amount to words and update the corresponding field
            var totalNetAmountWords = numberToWords(roundedGrandTotal);
            $('#total_net_amount_words').text(totalNetAmountWords);

            // Calculate and display total C&F expenses
            let totalCF = 0;
            @foreach ($purchaseInvoice as $pr)
                @foreach ($pr->expenses as $expense)
                    totalCF += {{ $expense->expense_amount }};
                @endforeach
            @endforeach

            // Display the total C&F expenses in the table cell with the ID "total-cf-th"
            document.getElementById("total-cf-th").textContent = "(" + Math.abs(totalCF) + ")";

            // Calculate and display total C&F value
            let cf = 0;
            @foreach ($purchaseInvoice as $pr)
                cf += {{ $pr->c_f }};
            @endforeach

            // Display the total C&F value in the table cell with the ID "cf-total"
            document.getElementById("cf-total").textContent = "(" + Math.abs(cf) + ")";
        });
    </script>

@endsection
