@extends('layouts.crusher')
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Sale Invoice</h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->
                    <form action="{{ route('crusher.admin_sales_invoice.store') }}" class="outer-repeater" method="POST">
                        @csrf


                        <div class="row">

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Sale Invoice #</label>
                                    <input class="form-control" readonly placeholder="" id="example-password-input"
                                        value="{{ $newSiNumber }}" name="invoice_no">
                                </div>
                            </div>

                            <div class="col-md-6">

                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Mode/Term of Payment</label>
                                    <input class="form-control{{ $errors->has('term_of_payment') ? ' is-invalid' : '' }}"
                                        type="text" placeholder="Enter Mode/Term of Payment" id="example-password-input"
                                        name="term_of_payment" value="{{ old('term_of_payment') }}">
                                    @if ($errors->has('term_of_payment'))
                                        <div class="invalid-feedback">{{ $errors->first('term_of_payment') }}</div>
                                    @endif
                                </div>
                            </div>

                        </div>

                        <div class="row">

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Date</label>
                                    <input name="date" class="form-control" type="date" pattern="\d{4}-\d{2}-\d{2}"
                                        value="{{ date('Y-m-d') }}">
                                </div>
                            </div>

                            <div class="col-md-6">

                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>LPO Number(Client)</label>
                                    <input class="form-control{{ $errors->has('lpo_no') ? ' is-invalid' : '' }}"
                                        type="text" placeholder="Enter LPO Number" id="example-password-input"
                                        name="lpo_no" value="{{ old('lpo_no') }}">
                                    @if ($errors->has('lpo_no'))
                                        <div class="invalid-feedback">{{ $errors->first('lpo_no') }}</div>
                                    @endif
                                </div>
                            </div>

                        </div>

                        <div class="row">

                            <div class="col-md-3 float-right">
                                <label for="name">Quotation #</label>
                                <div class="form-group">
                                    <input class="form-control" readonly placeholder="Quotation #"
                                        id="example-password-input"
                                        @if (request()->do_no) value="{{ count($deliveryNotes) > 0 ? $deliveryNotes[0]->quotation_no : $newQuotationNumber }}"
                                                @elseif(request()->quotation_no)
                                                value="{{ count($quotations) > 0 ? $quotations[0]->quotation_no : '' }}"
                                                @else
                                                value="{{ '' }}" @endif
                                        name="quotation_no">
                                </div>
                            </div>

                            <div class="col-md-6">

                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>LPO(DUE DAYS)</label>
                                    <input class="form-control{{ $errors->has('lpo_days') ? ' is-invalid' : '' }}"
                                        type="text" placeholder="Enter LPO(DUE DAYS)" id="example-password-input"
                                        name="lpo_days" value="{{ old('lpo_days') }}">
                                    @if ($errors->has('lpo_days'))
                                        <div class="invalid-feedback">{{ $errors->first('lpo_days') }}</div>
                                    @endif
                                </div>
                            </div>

                        </div>

                        <div class="row">

                            <div class="col-md-3 float-right">

                            </div>

                            <div class="col-md-6">

                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Delivery Note Number</label>
                                    <input class="form-control" type="text" readonly id="example-Note-Number-input"
                                        placeholder="do-no"
                                        value="{{ count($deliveryNotes) > 0 ? $deliveryNotes[0]->do_no : '' }}"
                                        name="do_no">
                                </div>
                            </div>
                        </div>


                        <div class="row">

                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="account">Account Name:</label>
                                    <select id="account" class="form-control select2" name="account_id"
                                        onchange="openAccountModal(this)">
                                        <option value="" selected disabled>Select Account</option>
                                        {{-- Loop through the merged $accounts collection --}}
                                        @forelse ($accounts as $account)
                                        <option value="{{ $account->id }}"
                                            {{ old('account_id') == $account->id || ($quotations && $quotations->count() > 0 && $quotations[0]->account_id == $account->id) || request()->buyer_account_id == $account->id ? 'selected' : '' }}
                                            data-account-type="{{ $account->table_name }}">
                                            {{ $account->account_name }}
                                        </option>

                                        @empty
                                            <option value="" disabled>No accounts available</option>
                                        @endforelse
                                    </select>
                                    <span id="buyer_exists" style="color: red; display:none;">Buyer against this invoice no
                                        is already exists can not create more</span>
                                    <input type="hidden" name="account_type" id="account_type">
                                    @error('account_id')
                                        <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div>

                            </div>

                            <div class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered dt-responsive nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr>
                                            <th>Item Name</th>
                                            <th>Item Description</th>
                                            <th>Warehouse</th>
                                            <th>Quantity</th>
                                            <th>Rate / Unit</th>
                                            <th>Gross Amount</th>
                                            <th>VAT %</th>
                                            <th>VAT Amount</th>
                                            <th>Net Amount</th>
                                            <th>Delete</th>
                                        </tr>
                                    </thead>

                                    <tbody id="table-body">
                                        @forelse ($quotations as $quotation)
                                        <tr>
                                            <div class="inner-repeater mb-12">
                                                <div data-repeater-list="inner-group" class="inner form-group">
                                                    <td>
                                                        <div class="form-group">
                                                            <select class="form-control selectItem select2" name="item_id[]">
                                                                <option value="" selected disabled>Select Item</option>
                                                                @foreach ($items as $item)
                                                                    <option value="{{ $item->id }}" @if($item->id == $quotation->item_id) selected @endif>
                                                                        {{ $item->name }}
                                                                    </option>
                                                                @endforeach
                                                            </select>

                                                        </div>
                                                    </td>

                                                    <td>
                                                        <div class="form-group">
                                                            <textarea class="form-control" rows="1" type="text" placeholder="Item Description"
                                                                id="example-textarea-input" name="item_description[]">{{ $quotation->item_description }}
                                                                </textarea>
                                                        </div>
                                                    </td>

                                                    <td>
                                                        <div class="form-group">
                                                            <select class="form-control selectWarehouse select2"
                                                                name="warehouse_id[]">
                                                                <option value="" selected disabled>Select Warehouse
                                                                </option>
                                                                @foreach ($warehouses as $warehouse)
                                                                    <option value="{{ $warehouse->id }}">
                                                                        {{ $warehouse->name }}</option>
                                                                @endforeach
                                                            </select>
                                                        </div>
                                                    </td>

                                                    <td>
                                                        <div class="form-group">
                                                            <input class="form-control quantity" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                placeholder="Quantity" id="quantity" name="quantity[]" value="{{ $quotation->quantity }}">
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-group">
                                                            <input class="form-control rate_unit" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                placeholder="Rate/Unit" id="rate_unit"
                                                                name="rate_unit[]"  value="{{ $quotation->rate_unit }}">
                                                        </div>
                                                    </td>

                                                </div>

                                            </div>

                                            <td>
                                                <div class="form-group">
                                                    <input class="form-control gross_amount" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                        placeholder="Gross Amount" id="gross_amount"
                                                        name="gross_amount[]" value="{{ $quotation->gross_amount }}">
                                                </div>
                                            </td>
                                            <td>
                                                <div class="form-group">
                                                    <input class="form-control vat_percentage" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                        placeholder="VAT %" id="vat_percentage" name="vat_percentage[]" value="{{ $quotation->vat_percentage }}">
                                                </div>
                                            </td>
                                            <td>
                                                <div class="form-group">
                                                    <input class="form-control vat_amount" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                        placeholder="VAT Amount" id="vat_amount" name="vat_amount[]" value="{{ $quotation->vat_amount }}">
                                                </div>
                                            </td>
                                            <td>
                                                <div class="form-group">
                                                    <p><input type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" class="form-control net_amount"
                                                            id="net_amount" name="net_amount[]" value="{{ $quotation->net_amount }}" readonly></p>
                                                </div>
                                            </td>

                                            <td>
                                                <a href="" class="delete-row-btn"> <i
                                                        class="fas fa-trash-alt inner"></i></a>
                                            </td>

                                        </tr>
                                        @empty
                                        <tr>
                                            <div class="inner-repeater mb-12">
                                                <div data-repeater-list="inner-group" class="inner form-group">
                                                    <td>
                                                        <div class="form-group">
                                                            <select class="form-control selectItem select2"
                                                                name="item_id[]">
                                                                <option value="" selected disabled>Select Item
                                                                </option>
                                                                @foreach ($items as $item)
                                                                    <option value="{{ $item->id }}">
                                                                        {{ $item->name }}</option>
                                                                @endforeach
                                                            </select>
                                                        </div>
                                                    </td>

                                                    <td>
                                                        <div class="form-group">
                                                            <textarea class="form-control" rows="1" type="text" placeholder="Item Description"
                                                                id="example-textarea-input" name="item_description[]">
                                                                </textarea>
                                                        </div>
                                                    </td>

                                                    <td>
                                                        <div class="form-group">
                                                            <select class="form-control selectWarehouse select2"
                                                                name="warehouse_id[]">
                                                                <option value="" selected disabled>Select Warehouse
                                                                </option>
                                                                @foreach ($warehouses as $warehouse)
                                                                    <option value="{{ $warehouse->id }}">
                                                                        {{ $warehouse->name }}</option>
                                                                @endforeach
                                                            </select>
                                                        </div>
                                                    </td>

                                                    <td>
                                                        <div class="form-group">
                                                            <input class="form-control quantity" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                placeholder="Quantity" id="quantity" name="quantity[]">
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-group">
                                                            <input class="form-control rate_unit" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                placeholder="Rate/Unit" id="rate_unit"
                                                                name="rate_unit[]">
                                                        </div>
                                                    </td>

                                                </div>

                                            </div>

                                            <td>
                                                <div class="form-group">
                                                    <input class="form-control gross_amount" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                        placeholder="Gross Amount" id="gross_amount"
                                                        name="gross_amount[]">
                                                </div>
                                            </td>
                                            <td>
                                                <div class="form-group">
                                                    <input class="form-control vat_percentage" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                        placeholder="VAT %" id="vat_percentage" name="vat_percentage[]" >
                                                </div>
                                            </td>
                                            <td>
                                                <div class="form-group">
                                                    <input class="form-control vat_amount" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                        placeholder="VAT Amount" id="vat_amount" name="vat_amount[]">
                                                </div>
                                            </td>
                                            <td>
                                                <div class="form-group">
                                                    <p><input type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" class="form-control net_amount"
                                                            id="net_amount" name="net_amount[]" readonly></p>
                                                </div>
                                            </td>

                                            <td>
                                                <a href="" class="delete-row-btn"> <i
                                                        class="fas fa-trash-alt inner"></i></a>
                                            </td>

                                        </tr>
                                        @endforelse
                                    </tbody>
                                </table>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-8">
                                <a id="add-more-btn" class="btn btn-outline-primary">Add
                                    more</a>
                            </div>
                            <div class="col-md-4">
                            </div>
                        </div>
                        <br>


                        <br>

                        <div class="row">
                            <div class="col-md-8">
                            </div>
                            <div class="col-md-4">
                                <strong>
                                    <label>Total Quantity : </label>
                                    <span><input type="text" class="custin" id="total_quantity" name="total_quantity"
                                            readonly></span>
                                </strong>
                            </div>
                            <div class="col-md-8">
                            </div>
                            <div class="col-md-4">
                                <strong>
                                    <label>Total Gross Amount : </label>
                                    <span><input type="text" class="custin" id="total_gross_amount"
                                            name="total_gross_amount" readonly></span>
                                </strong>
                            </div>
                            <div class="col-md-8">
                            </div>
                            <div class="col-md-4">
                                <strong>
                                    <label>Total Vat amount : </label>
                                    <span><input type="text" class="custin" id="total_vat_amount"
                                            name="total_vat_amount" readonly></span>
                                </strong>
                            </div>
                            <div class="col-md-8">
                            </div>

                            <div class="col-md-4">

                                <div data-repeater-list="group-a" >
                                    <div data-repeater-item class="row">
                                        <div class="form-group col-md-6">
                                            <input type="checkbox" id="discount-check" name="discount_amount_check">
                                            <label for="">Discount</label>
                                            <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Discount Amount"
                                                id="discount-amount" name="discount">
                                        </div>
                                    </div>
                                </div>
                                <input type="checkbox" id="ledger-check">
                                <label for="">Ledger</label>
                                <div id="show-ledger">
                                    <div data-repeater-list="group-a" class="repeater-container">
                                        <div data-repeater-item class="row repeater-row">


                                            @forelse ($quotations as $key=>$q)
                                                @forelse ($q->expenses as $expense)
                                                    <div class="form-group col-md-5">
                                                        <select class="form-control " name="expense_id[]">
                                                            <option value="" disabled selected>Select Account
                                                            </option>
                                                            @forelse ($expensesAccount as $expenseOption)
                                                                <option value="{{ $expenseOption->id }}"
                                                                    {{ $expense && $expense->id == $expenseOption->id ? 'selected' : '' }}>
                                                                    {{ $expenseOption->account_name }}</option>
                                                            @empty
                                                            @endforelse
                                                        </select>
                                                    </div>
                                                    <div class="form-group col-md-5">
                                                        <input class="form-control sub_account_amount" type="number"
                                                            placeholder="Enter Amount" id="sub_account_amount"
                                                            name="expense_amount[]"
                                                            value="{{ $expense->pivot->expense_amount }}">
                                                    </div>
                                                    <div class="align-self-center col-md-2">
                                                        <i data-repeater-delete class="fas fa-trash-alt inner delicon3"></i>
                                                    </div>
                                                @empty
                                                @endforelse
                                            @empty
                                            @endforelse
                                            <div class="form-group col-md-5">
                                                <select class="form-control " name="expense_id[]">
                                                    <option value="" disabled selected>Select Account</option>
                                                    @forelse ($expensesAccount as $expenseOption)
                                                        <option value="{{ $expenseOption->id }}">
                                                            {{ $expenseOption->account_name }}</option>
                                                    @empty
                                                    @endforelse
                                                </select>
                                            </div>
                                            <div class="form-group col-md-5">
                                                <input class="form-control sub_account_amount" type="number"
                                                    placeholder="Enter Amount" id="sub_account_amount"
                                                    name="expense_amount[]">
                                            </div>
                                            <div class="align-self-center col-md-2">
                                                <i data-repeater-delete class="fas fa-trash-alt inner delicon3"
                                                    onclick="deleteRow(this)"></i>
                                            </div>



                                        </div>
                                    </div>
                                    <div class="form-group col-lg-5">
                                        <input data-repeater-create type="button" class="btn btn-outline-primary"
                                            value="Add Ledger" id="addLedgerButton" />
                                    </div>
                                </div>




                            </div>


                            <div class="col-md-8">
                            </div>
                            <br>
                            <div class="col-md-4">
                                <strong>
                                    <label>Total net amount : </label>
                                    <span><input type="text" class="custin" id="total_net_amount"
                                            name="total_net_amount" readonly></span>
                                </strong>
                            </div>

                            <div class="col-md-6">
                                <div class="row">
                                    <div class="col-4">
                                        <strong>
                                            <label for="total_net_amount_words">Amount in Words :</label>
                                        </strong>
                                    </div>
                                    <div class="col-8">
                                        <input type="text" class="custin" id="total_net_amount_words"
                                            name="amount_in_words" readonly style="width: 120%;margin-left: -3.5rem;">
                                    </div>
                                </div>
                            </div>


                        </div>

                        <div class="row">

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Term & Conditions</label>
                                    <p>{{ $tnc->description ?? '' }}</p>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="narrations">Narrations</label>
                                    <textarea class="form-control{{ $errors->has('narrations') ? ' is-invalid' : '' }}" rows="4"
                                        placeholder="Enter Narrations" id="example-textarea-input" name="narrations">
                                            {{ $deliveryNotes->count() > 0 ? $deliveryNotes->first()->narrations : '' }}
                                        </textarea>
                                    @if ($errors->has('narrations'))
                                        <div class="invalid-feedback">{{ $errors->first('narrations') }}</div>
                                    @endif
                                </div>
                            </div>


                        </div>
                        <!-- Modal for Buyer Information -->

                        <div id="modal1" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="buyerModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="buyerModalLabel">Buyer Information:</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label>Name :</label>
                                                <input class="form-control" type="text" placeholder="Enter Name"
                                                    id="example-password-input" name="name" id="name">
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label>Phone # :</label>
                                                <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Phone #"
                                                    id="example-password-input" name="phone" id="phone">
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label>Email :</label>
                                                <input class="form-control" type="text" placeholder="Enter Email"
                                                    id="example-password-input" name="email" id="email">
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label>Vat Number :</label>
                                                <input class="form-control" type="text" placeholder="Vat Number"
                                                    id="example-password-input" name="vat_number" name="vat_number">
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label>Address :</label>
                                                <textarea class="form-control" rows="3" type="text" placeholder="Enter Address"
                                                    id="example-textarea-input" name="address" id="address">
                                        </textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <input type="hidden" name="invoice_no" value="{{ $newSiNumber }}" id="invoice_no">
                                        <input type="hidden" name="type" value="sales_invoice" id="type">
                                        <button type="button" class="btn btn-secondary waves-effect" data-dismiss="modal">Close</button>
                                        <button type="button" class="btn btn-primary waves-effect waves-light">Save</button>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- /.modal-dialog -->


                        <button class="btn btn-cust1 float-right" type="submit">Create Sales Invoice</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->


    <!-- Modals -->
    {{-- <div id="modal1" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
        aria-hidden="true">
        <div class="modal-dialog">
            <form id="buyer-form">
                @csrf
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title mt-0" id="myModalLabel">Buyer Information :</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Name :</label>
                                <input class="form-control" type="text" placeholder="Enter Name"
                                    id="example-password-input" name="name" id="name">
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Phone # :</label>
                                <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Phone #"
                                    id="example-password-input" name="phone" id="phone">
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Email :</label>
                                <input class="form-control" type="text" placeholder="Enter Email"
                                    id="example-password-input" name="email" id="email">
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Vat Number :</label>
                                <input class="form-control" type="text" placeholder="Vat Number"
                                    id="example-password-input" name="vat_number" name="vat_number">
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Address :</label>
                                <textarea class="form-control" rows="3" type="text" placeholder="Enter Address"
                                    id="example-textarea-input" name="address" id="address">
                        </textarea>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <input type="hidden" name="invoice_no" value="{{ $newSiNumber }}" id="invoice_no">
                        <input type="hidden" name="type" value="sales_invoice" id="type">
                        <button type="button" class="btn btn-secondary waves-effect" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary waves-effect waves-light">Save</button>
                    </div>
            </form>
        </div>
        <!-- /.modal-content -->
    </div> --}}

    <!-- Modal for Buyer Information -->
    {{-- <div id="modal1" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="buyerModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="buyerModalLabel">Buyer Information:</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Name :</label>
                            <input class="form-control" type="text" placeholder="Enter Name"
                                id="example-password-input" name="name" id="name">
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Phone # :</label>
                            <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Phone #"
                                id="example-password-input" name="phone" id="phone">
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Email :</label>
                            <input class="form-control" type="text" placeholder="Enter Email"
                                id="example-password-input" name="email" id="email">
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Vat Number :</label>
                            <input class="form-control" type="text" placeholder="Vat Number"
                                id="example-password-input" name="vat_number" name="vat_number">
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Address :</label>
                            <textarea class="form-control" rows="3" type="text" placeholder="Enter Address"
                                id="example-textarea-input" name="address" id="address">
                    </textarea>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <input type="hidden" name="invoice_no" value="{{ $newSiNumber }}" id="invoice_no">
                    <input type="hidden" name="type" value="sales_invoice" id="type">
                    <button type="button" class="btn btn-secondary waves-effect" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary waves-effect waves-light">Save</button>
                </div>
            </div>
        </div>
    </div> --}}

    <!-- /.modal-dialog -->
    </div>
    <!-- /.modal -->
    <script src="https://code.jquery.com/jquery-3.7.0.js" integrity="sha256-JlqSTELeR4TLqP0OG9dxM7yDPqX1ox/HfgiSLBj8+kM="
        crossorigin="anonymous"></script>

    <script>
        $(document).ready(function() {

        $('#new-vat-amount').hide();
        $('#new-vat-amount-check').on('click', function() {
            $('#new-vat-amount').toggle();
        });
        });
        $(document).ready(function() {
        $('#discount-amount').hide();
        $('#discount-check').on('click', function() {
            $('#discount-amount').toggle();
        });
        });
        $(document).ready(function() {
        $('#show-ledger').hide();
        $('#ledger-check').on('click', function() {
            $('#show-ledger').toggle();
        });
        });
        // BUYER MODAL WORK START

        // Function to open the modal based on selected value
        // Function to open the modal based on selected value
        function openAccountModal(selectElement) {
            var selectedOption = selectElement.options[selectElement.selectedIndex];
            var accountName = selectedOption.textContent.trim(); // Trim to remove leading/trailing whitespaces

            // Check if the accountName is "Cash"
            if (accountName.toLowerCase() === "cash") {
                // Open the modal with ID 'modal1'
                $('#modal1').modal('show');
            } else {
                // For other options, you can perform additional actions if needed
                // Currently, there are no actions specified for other options
            }
        }

        // BUYER MODAL WORK END

        function myFunction() {
            var dropdown = document.getElementById("myDropdown");
            var pricehidden1 = document.getElementById("pricehidden1");
            var pricehidden2 = document.getElementById("pricehidden2");
            var pricehidden3 = document.getElementById("pricehidden3");

            if (dropdown.value === "hide") {
                pricehidden1.style.display = "none";
                pricehidden2.style.display = "none";
                pricehidden3.style.display = "none";
            } else {
                pricehidden1.style.display = "block";
                pricehidden2.style.display = "block";
                pricehidden3.style.display = "block";
            }
        }
    </script>
<script>
    // Function to open the modal and set values
    function openAndSetValues() {
        // Replace the placeholder values with actual values
        var values = {
            name: 'John Doe',
            phone: '123456789',
            email: 'john@example.com',
            vat_number: 'VAT123',
            address: '123 Main Street'
        };

        // Set the values in the modal
        $('#name').val(values.name);
        $('#phone').val(values.phone);
        $('#email').val(values.email);
        $('#vat_number').val(values.vat_number);
        $('#address').val(values.address);

        // Open the modal
        $('#modal1').modal('show');
    }

    // Function to clear values when the modal is closed
    function clearValues() {
        $('#name').val('');
        $('#phone').val('');
        $('#email').val('');
        $('#vat_number').val('');
        $('#address').val('');
    }

    // Save button click event
    $('#modal1').on('click', '.btn-primary', function() {
        // Process the saved values here if needed
        // ...

        // Close the modal
        $('#modal1').modal('hide');
    });

    // Attach event handlers
    $('#modal1').on('show.bs.modal', openAndSetValues);
    $('#modal1').on('hidden.bs.modal', clearValues);
</script>

    {{-- CALCULATION --}}
    <script>
        $(document).ready(function() {

            function calculateRow(row) {
                var quantity = parseFloat(row.find('.quantity').val()) || 0;
                var rateUnit = parseFloat(row.find('.rate_unit').val()) || 0;
                var vatPercentage = parseFloat(row.find('.vat_percentage').val()) || 0;

                var grossAmount = quantity * rateUnit;
                var vatAmount = grossAmount * (vatPercentage / 100);
                var netAmount = grossAmount + vatAmount;

                row.find('.gross_amount').val(grossAmount.toFixed({{session()->get('branch')->currency_decimal}}));
                row.find('.vat_amount').val(vatAmount.toFixed({{session()->get('branch')->currency_decimal}}));
                row.find('.net_amount').val(netAmount.toFixed({{session()->get('branch')->currency_decimal}}));
            }

            // Calculate for existing rows (initial row and dynamically generated rows)
            $('#table-body tr').each(function() {
                calculateRow($(this));
            });

            // Event delegation for dynamically added rows
            $('#table-body').on('input', '.quantity, .rate_unit, .vat_percentage', function() {
                calculateRow($(this).closest('tr'));
                calculateTotalQuantity();
                calculateTotalGross();
                calculateTotalVatAmount();
                calculateTotalNetAmount();
                // convertTotalNetAmountToWords();
            });

            // Event listener for changes in sub_account_amount
            $(document).ready(function() {
                // Initial calculation when the page loads
                calculateTotalNetAmount();

                // Event listener for changes in 'sub_account_amount' inputs
                $(document).on('input', '.sub_account_amount', function() {
                    calculateTotalNetAmount();
                });
            });

            $('#add-more-btn').on('click', function() {
                var newRow = `
                <tr>
                    <td>
                        <div class="form-group">
                            <select class="form-control selectItem select2" name="item_id[]">
                                <option value="" selected disabled>Select Item</option>
                                @foreach ($items as $item)
                                    <option value="{{ $item->id }}">{{ $item->name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <textarea class="form-control item_desc" rows="1" type="text" placeholder="Item Description" name="item_description[]"></textarea>
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <select class="form-control selectWarehouse select2" name="warehouse_id[]">
                                <option value="" selected disabled>Select Warehouse</option>
                                @foreach ($warehouses as $warehouse)
                                    <option value="{{ $warehouse->id }}">{{ $warehouse->name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <input class="form-control quantity" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Quantity" name="quantity[]">
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <input class="form-control rate_unit" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Rate/Unit" name="rate_unit[]">
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <input class="form-control gross_amount" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Gross Amount" name="gross_amount[]">
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <input class="form-control vat_percentage" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="VAT %" name="vat_percentage[]">
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <input class="form-control vat_amount" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="VAT Amount" name="vat_amount[]">
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <input class="form-control net_amount form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Net Amount" name="net_amount[]" readonly>
                        </div>
                    </td>
                    <td>
                        <a href="#" class="delete-row-btn"><i class="fas fa-trash-alt"></i></a>
                    </td>
                </tr>`;

                $('#table-body').append(newRow);
                $('#table-body tr:last .select2').select2();


                // Initialize calculation for the new row
                calculateRow($('#table-body tr:last'));
                calculateTotalQuantity();
                calculateTotalGross();
                calculateTotalVatAmount();
                calculateTotalNetAmount();
                // convertTotalNetAmountToWords();
            });


            // Event delegation for delete button
            $('#table-body').on('click', '.delete-row-btn', function() {
                $(this).closest('tr').remove();
                calculateTotalQuantity();
                calculateTotalGross();
                calculateTotalVatAmount();
                calculateTotalNetAmount();
                // convertTotalNetAmountToWords();
            });

            // Calculate and update total quantity
            function calculateTotalQuantity() {
                var totalQuantity = 0;
                $('.quantity').each(function() {
                    totalQuantity += parseFloat($(this).val()) || 0;
                });
                $('#total_quantity').val(totalQuantity);
            }
            // Calculate and update total gross amount
            function calculateTotalGross() {
                var totalGross = 0;
                $('.gross_amount').each(function() {
                    totalGross += parseFloat($(this).val()) || 0;
                });
                $('#total_gross_amount').val(totalGross.toFixed({{session()->get('branch')->currency_decimal}}));
            }
            // Calculate and update total VAT amount
            function calculateTotalVatAmount() {
                var totalVatAmount = 0;
                $('.vat_amount').each(function() {
                    totalVatAmount += parseFloat($(this).val()) || 0;
                });
                $('#total_vat_amount').val(totalVatAmount.toFixed({{session()->get('branch')->currency_decimal}}));
            }

            function calculateTotalNetAmount() {
            var totalSubAccountAmount = 0;
            var totalNetAmount = 0;

            // Loop through all elements with the class 'sub_account_amount'
            $('.sub_account_amount').each(function() {
                var inputValue = parseFloat($(this).val()) || 0;
                totalSubAccountAmount += inputValue;
            });

            // Loop through all elements with the class 'net_amount'
            $('.net_amount').each(function() {
                var inputValue = parseFloat($(this).val()) || 0;
                totalNetAmount += inputValue;
            });

            // Subtract discount amount if checkbox is checked
            if ($('#discount-check').is(':checked')) {
                var discountAmount = parseFloat($('#discount-amount').val()) || 0;
                totalNetAmount -= discountAmount;
            }

            // Update the total net amount field
            var totalNetAmountValue = (totalSubAccountAmount + totalNetAmount).toFixed({{session()->get('branch')->currency_decimal}});
            $('#total_net_amount').val(totalNetAmountValue);

            // Convert total net amount to words and update the corresponding field
            var totalNetAmountWords = numberToWords(totalSubAccountAmount + totalNetAmount);
            $('#total_net_amount_words').val(totalNetAmountWords);
        }


            // Event listener for changes in discount amount
            $(document).on('input', '#discount-amount', function() {
                calculateTotalNetAmount(); // Recalculate total net amount when discount amount changes
            });


            // Initial calculation for total quantity and total gross
            calculateTotalQuantity();
            calculateTotalGross();
            calculateTotalVatAmount();
            calculateTotalNetAmount();
            // convertTotalNetAmountToWords();
        });
    </script>

    <script>
        $(document).ready(function() {
            // Event handler for the add-clone-btn click
            $(document).on('click', '.add-clone-btn', function(e) {
                e.preventDefault();

                // Get the parent <tr> element
                var parentTr = $(this).closest('tr');

                // Clone the parent <tr> element
                var clonedTr = parentTr.clone();

                // Append the cloned <tr> after the parent <tr>
                parentTr.after(clonedTr);
            });
        });

        $(document).ready(function() {
            // $('#add-more-btn').click(function (e) {
            //     e.preventDefault();

            //     // Clone the existing row
            //     var newRow = $('#table-body tr').first().clone();

            //     // Clear input fields and select values in the cloned row
            //     newRow.find('input, textarea').val('');
            //     newRow.find('select').prop('selectedIndex', 0);

            //     // Append the cloned row to the table
            //     $('#table-body').append(newRow);
            // });

            $('#add-clone-btn').click(function(e) {
                e.preventDefault();

                // Clone the existing row
                var newRow = $('#table-body tr').first().clone();

                // Clear input fields and select values in the cloned row
                newRow.find('input, textarea').val('');
                newRow.find('select').prop('selectedIndex', 0);

                // Append the cloned row to the table
                $('#table-body').append(newRow);
            });

            // Handle delete button click event
            $(document).on('click', '.delete-row-btn', function(e) {
                e.preventDefault();

                // Get the parent row and remove it
                var row = $(this).closest('tr');
                row.remove();
            });
        });
    </script>

    <script>
        document.getElementById('addLedgerButton').addEventListener('click', function() {
            cloneRow();
        });

        function cloneRow() {
            const repeaterRow = document.querySelector('.repeater-row');
            if (repeaterRow) {
                const clonedRow = repeaterRow.cloneNode(true);

                const selectElement = clonedRow.querySelector('select');
                const inputElement = clonedRow.querySelector('input');
                if (selectElement) {
                    selectElement.selectedIndex = 0;
                }
                if (inputElement) {
                    inputElement.value = '';
                }

                // Remove the cloned button from the cloned row
                const clonedButton = clonedRow.querySelector('#addLedgerButton');
                if (clonedButton) {
                    clonedButton.remove();
                }

                repeaterRow.parentNode.appendChild(clonedRow);
            }
        }

        function deleteRow(button) {
            const row = button.closest('.repeater-row');
            if (row && !row.isSameNode(document.querySelector('.repeater-row'))) {
                row.remove();
            }
        }
    </script>

    <script>
        // JavaScript to update the hidden input field when the dropdown selection changes
        $(document).ready(function() {
            function updateAccountType() {
                var selectedOption = $('#account option:selected'); // Use jQuery to get selected option
                var accountType = selectedOption.data('account-type'); // Use jQuery data() method
                $('#account_type').val(accountType); // Set the value of the hidden input
            }

            // Run the function once when the page is ready
            updateAccountType();

            // Add an event listener to update the hidden input when the selection changes
            $('#account').change(updateAccountType);

            // EXPENSE TYPE

            function updateExpenseType() {
                var selectedOption = $('.expense option:selected'); // Use jQuery to get selected option
                var expenseType = selectedOption.data('expense-type'); // Use jQuery data() method
                $('.expense-type').val(expenseType); // Set the value of the hidden input
            }

            // Run the function once when the page is ready
            updateExpenseType();

            // Add an event listener to update the hidden input when the selection changes
            $('.expense').change(updateExpenseType);
        });
    </script>
@endsection
