@extends('layouts.crusher')
@section('content')


    <div class="row">
        <div class="col-md-12">
            <div class="row mt-4 mb-2">
                <div class="col-sm-6">
                    <h6 class="card-title mb-4 titlcust">Sales Invoice
                    </h6>
                </div>
                <div class="col-sm-6">
                    <a href="">
                        <button class="btn btn-outline-primary float-right cust-btn1" onclick="printPageArea('printableArea')"
                            type="submit">Print Document
                        </button>
                    </a>
                    <a href="">
                        <button class="btn btn-outline-primary float-right" type="submit">Back
                        </button>
                    </a>
                </div>
            </div>
            <div class="card" id="printableArea">
                <div class="card-body">

                    <h6 class="card-title mb-1 text-center font-size-20">Sales Invoice</h6>
                    <br>



                    <div class="row border1">
                        @if (!empty(($companyLogo = auth()->user()->company_logo)))
                            <div class="col-md-2 d-flex align-items-center justify-content-center">
                                <img src="{{ asset('storage/app/public/' . $companyLogo) }}" class="img-fluid"
                                    alt="logo" width="180px">
                            </div>
                        @else
                            <div class="col-md-2 d-flex align-items-center justify-content-center">
                                <img src="{{ asset('assets/images/acp-logo.png') }}" class="img-fluid" alt="logo"
                                    width="180px">
                            </div>
                        @endif
                        <div class="col-md-6">
                            <div class="row border1">
                                <div class="pading1">
                                    <div class="col-md-12 ">
                                        <span>{{ $company->name }}</span>
                                    </div>
                                    <div class="col-md-12 ">
                                        <span>{{ $company->country }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Cr Number :</label>
                                        <span>{{ $company->cr_number }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>VAT Number :</label>
                                        <span>{{ $company->vat_number }}</span>
                                    </div>

                                    <div class="col-md-12">
                                        <span>{{ session()->get('branch')->address }}</span>
                                    </div>
                                </div>
                            </div>

                            <div class="row border1">
                                <div class="pading1">
                                    <div class="col-md-12">
                                        <h5>Buyer</h5>
                                    </div>
                                    @if ($salesInvoice[0]->buyer != null)
                                        <div class="col-md-12">
                                            {{-- <label>Company Direct</label> --}}

                                            <span>{{ $salesInvoice[0]->account->account_name  ?? 'No Record Found'}}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Email :</label>
                                            <span>{{ $salesInvoice[0]->buyer->email ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Person Name :</label>
                                            <span>{{ $salesInvoice[0]->buyer->name ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Number :</label>
                                            <span>{{ $salesInvoice[0]->buyer->phone ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>VAT Number :</label>
                                            <span>{{ $salesInvoice[0]->buyer->vat_number ?? 'No Record Found' }}</span>
                                        </div>
                                    @else
                                        <div class="col-md-12">
                                            {{-- <label>Company Direct</label> --}}

                                            <span>{{ $salesInvoice[0]->account->name_of_organisation ?? ($salesInvoice[0]->account->account_name ?? $salesInvoice[0]->account->first_name . ' ' . $salesInvoice[0]->account->last_name) }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Email :</label>
                                            <span>{{ $salesInvoice[0]->account->email ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Person Name :</label>
                                            <span>{{ $salesInvoice[0]->account->contact_person_name ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Number :</label>
                                            <span>{{ $salesInvoice[0]->account->mobile ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>VAT Number :</label>
                                            <span>{{ $salesInvoice[0]->account->vat_number ?? 'No Record Found' }}</span>
                                        </div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="row border1">
                                <div class="pading1">
                                    <div class="col-md-12">
                                        <label>Sales Invoice # :</label>
                                        <span>{{ $salesInvoice[0]->invoice_no }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Mode/Term of Payment :</label>
                                        <span>{{ $salesInvoice[0]->term_of_payment }}</span>
                                    </div>

                                    <div class="col-md-12">
                                        <label>Date :</label>
                                        <span>{{ $salesInvoice[0]->date }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>LPO Number(Supplier) :</label>
                                        <span>{{ $salesInvoice[0]->lpo_no }}</span>
                                    </div>

                                    <div class="col-md-12">
                                        <label>Purchase Order Number :</label>
                                        <span>{{ $salesInvoice[0]->po_no ?? '' }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>LPO(DUE DAYS) :</label>
                                        <span>{{ $salesInvoice[0]->lpo_days }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Quotation Invoice # :</label>
                                        <span>{{ $salesInvoice[0]->quotation_no ?? '' }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Delivery Note Invoice # :</label>
                                        <span>{{ $salesInvoice[0]->do_no ?? '' }}</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <br>

                    <div class="row">
                        <div class="table-responsive mb-0" data-pattern="priority-columns">
                            <table class="table table-bordered dt-responsive nowrap"
                                style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                    <tr>
                                        <th>S No.</th>
                                        <th>Item Name</th>
                                        <th>Item Description</th>
                                        <th>Quantity</th>
                                        <th>Rate/Unit</th>
                                        <th>Gross Amount</th>
                                        <th>VAT %</th>
                                        <th>VAT Amount</th>
                                        <th>Net Amount</th>
                                    </tr>
                                </thead>

                                <tbody id="table-body">
                                    @php
                                        $totalNetAmount = 0;
                                    @endphp
                                    @forelse ($salesInvoice as $key=>$pr)
                                        <tr>
                                            <td>{{ $key + 1 }}</td>
                                            <td>
                                                <p>{{ $pr->item->name ?? '' }}</p>
                                            </td>
                                            <td>
                                                <p>{{ $pr->item_description }}</p>
                                            </td>
                                            <td>
                                                <p>{{ $pr->quantity }}</p>
                                            </td>
                                            <td>
                                                <p>{{ $pr->rate_unit }}</p>
                                            </td>
                                            <td>
                                                <p>{{ $pr->gross_amount }}</p>
                                            </td>
                                            <td>
                                                <p>{{ $pr->vat_percentage }}</p>
                                            </td>
                                            <td>
                                                <p>{{ $pr->vat_amount }}</p>
                                            </td>
                                            <td>
                                                <p>{{ $pr->net_amount }}</p>
                                                @php
                                                    $totalNetAmount += $pr->net_amount ?? 0;
                                                @endphp
                                            </td>
                                        </tr>
                                    @empty
                                    @endforelse
                                    <tr>
                                        <td></td>
                                        <td>Grand Total</td>
                                        <td></td>
                                        <td>{{ $salesInvoice[0]->total_quantity }}</td>
                                        <td></td>
                                        <td>{{ $salesInvoice[0]->total_gross_amount }}</td>
                                        <td></td>
                                        <td>{{ $salesInvoice[0]->total_vat_amount }}</td>
                                        <td>
                                            <p>{{ $totalNetAmount }}</p>
                                        </td>
                                    </tr>
                                    @forelse ($salesInvoice as $pr)
                                        @forelse ($pr->expenses as $expense)
                                            <tr>
                                                <td></td>
                                                <td>{{ $expense->account_name }}</td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td>{{ $expense->pivot->expense_amount }}</td>
                                            </tr>
                                        @empty
                                        @endforelse

                                    @empty
                                    @endforelse
                                    <tr>
                                        <td></td>
                                        <td>Discount Amount</td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td>{{ $salesInvoice[0]->discount }}</td>
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td>Total Amount</td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        {{-- <td id="grand-total"></td> --}}
                                        <td>{{ $salesInvoice[0]->total_net_amount }}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <br>


                    <div class="row">

                        <div class="col-md-4">
                            <label>Amount in Words:</label>
                            <span id="total_net_amount_words"></span>
                        </div>


                    </div>

                    <br>
                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table class="table table-bordered dt-responsive nowrap max-width">
                            <tr>
                                <td>
                                    <label>Term & Conditions</label>
                                    <p class="">{{ $tnc->description ?? '' }}</p>
                                </td>
                                <td>
                                    <label>Narrations</label>
                                    <p>{{ $salesInvoice[0]->narrations }}</p>
                                </td>
                            </tr>
                        </table>
                    </div>

                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->

    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>

    <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Calculate the grand total and update the element
            const totalGrossAmount = {{ $salesInvoice[0]->total_gross_amount }};
            const totalVatAmount = {{ $salesInvoice[0]->total_vat_amount }};
            const totalNetAmount = {{ $salesInvoice[0]->total_net_amount }};
            const discountAmount = {{ $salesInvoice[0]->discount }};

            let totalExpenseAmount = 0;
            @foreach ($salesInvoice as $pr)
                @foreach ($pr->expenses as $expense)
                    totalExpenseAmount += {{ $expense->expense_amount }};
                @endforeach
            @endforeach

            const grandTotal = totalNetAmount + totalExpenseAmount - discountAmount;
            const roundedGrandTotal = grandTotal.toFixed(2);
            document.getElementById("grand-total").textContent = roundedGrandTotal;

            // Convert total net amount to words and update the corresponding field
            var totalNetAmountWords = numberToWords(roundedGrandTotal);
            $('#total_net_amount_words').text(totalNetAmountWords);
        });
    </script>
@endsection
